Debian Bug report logs - #697942
RFP: libapp-prereqgrapher-perl -- generate dependency graph using Perl::PrereqScanner

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 11 Jan 2013 17:51:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#697942; Package wnpp. (Fri, 11 Jan 2013 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Fri, 11 Jan 2013 17:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libapp-prereqgrapher-perl -- generate dependency graph using Perl::PrereqScanner
Date: Fri, 11 Jan 2013 18:40:56 +0100
Package: wnpp
Owner: Salvatore Bonaccorso <carnil@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libapp-prereqgrapher-perl
  Version         : 0.6
  Upstream Author : Neil Bowers <neil@bowers.com>
* URL             : https://metacpan.org/release/App-PrereqGrapher/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : generate dependency graph using Perl::PrereqScanner

App::PrereqGrapher builds a directed graph of the prereqs or dependencies for
a file or module. It uses Perl::PrereqScanner to find the dependencies for
the seed, and then repeatedly calls Perl::PrereqScanner on those
dependencies, and so on, until all dependencies have been found.

It then saves the resulting graph to a file, using one of the five supported
formats. The default format is 'dot', the format used by the GraphViz graph
drawing toolkit.

If your code contains lines like:

require 5.006;

use 5.006;

Then you'll end up with a dependency labelled perl 5.006; this way you can
see where you're dependent on modules which require different minimum
versions of perl.



Changed Bug title to 'RFP: libapp-prereqgrapher-perl -- generate dependency graph using Perl::PrereqScanner' from 'ITP: libapp-prereqgrapher-perl -- generate dependency graph using Perl::PrereqScanner' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 19:09:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Salvatore Bonaccorso <carnil@debian.org>. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 19:09:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:42:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.